%def_enable bat
%def_enable bwx
%def_enable webgui
%def_enable tray
%def_enable gconsole
%def_enable docs
%def_disable readline
%def_disable debug

Name: bacula
Version: 3.0.0
Release: alt0.M50.1

License: GPL
Summary: Network based backup program
Group: Archiving/Backup
Url: http://www.bacula.org/
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
Source: bacula-%version.tar
Source1: bacula-dir.init
Source2: bacula-fd.init
Source3: bacula-sd.init
Source4: A.baculaweb.conf
Source5: A.bimagemgr.conf
Source7: bacula-docs-%version.tar
Source8: bacula-configs-default-%version.tar
Source9: bacula-icons-%version.tar
Source10: bacula-gui-%version.tar

Patch1: bacula-3.0.0-alt-link.patch

Patch4: bacula-2.4.3-gcc43-alt.patch

Patch10: bacula-gui-php_header-mdv.patch
Patch11: bacula-nagios-plugin-mdv.patch
Patch12: bacula-web-conf-mdv.patch
Patch13: bacula-consoles-configs-alt.patch
Patch14: bacula-desktop-files-alt.patch
Patch15: bacula-docs-pdfm-alt.patch

BuildRequires: dvd+rw-tools gcc-c++ groff-base libMySQL-devel libssl-devel libncurses-devel libsqlite3-devel libssl libacl-devel libcap-devel python-devel zlib-devel iputils bc postgresql-devel

%if_enabled bwx
# console-wx buildrequires
BuildRequires: imake libICE-devel libX11-devel wxGTK-devel xorg-cf-files
%endif

%if_enabled bat
# bat buildrequires
BuildRequires: imake libICE-devel libX11-devel libqt4-devel libqwt-devel xorg-cf-files
%endif

%if_enabled webgui
BuildRequires: perl-DBI
%endif

%if_enabled gconsole
BuildRequires: libgnomeui-devel
%endif

Provides: bacula-updatedb = %version-%release
Obsoletes: bacula-updatedb < %version-%release
Requires: bacula-common = %version-%release
Requires: bacula-client = %version-%release
Requires: bacula-storage = %version-%release
Requires: bacula-console = %version-%release
Requires: bacula-dir = %version-%release

%package client
Summary: Network based backup program (client only)
Group: Archiving/Backup
Provides: bacula-fd = %version-%release
Requires: bacula-common = %version-%release

%package storage
Summary: Network based backup program (storage only)
Group: Archiving/Backup
Requires: bacula-common = %version-%release

%package console
Summary: Network based backup program (console only)
Group: Archiving/Backup
Requires: bacula-common = %version-%release

%package console-wx
Summary: Network based backup program (wxWidgets console only)
Group: Archiving/Backup

%if_enabled gconsole
%package console-gnome
Summary: Network based backup program (Gnome console only)
Group: Archiving/Backup
%endif

%if_enabled tray
%package tray-monitor
Summary: Network based backup program (tray monitor only)
Group: Archiving/Backup
%endif

%package bat
Summary: Network based backup program (QT4 Bacula Administration Tool)
Group: Archiving/Backup

%package director-common
Summary: Network based backup program (director common)
Group: Archiving/Backup
Requires: bacula-common = %version-%release

%package director-mysql
Summary: Network based backup program (MySQL director only)
Group: Archiving/Backup
Requires: bacula-director-common = %version-%release
Provides: bacula-director = %version-%release
Obsoletes: bacula-director < %version-%release
Provides: bacula-dir = %version-%release

%package director-sqlite3
Summary: Network based backup program (SQLITE3 director only)
Group: Archiving/Backup
Requires(pre): sqlite3
Requires: bacula-director-common = %version-%release
Provides: bacula-dir = %version-%release

%package director-postgresql
Summary: Network based backup program (PostgreSQL director only)
Group: Archiving/Backup
Requires: bacula-director-common = %version-%release
Provides: bacula-dir = %version-%release

%package common
Summary: Network based backup program (common files)
Group: Archiving/Backup
Requires(pre): passwdqc-utils

%package debug
Summary: Network based backup program (debug files)
Group: Archiving/Backup
Requires: bacula-common = %version-%release

%package nagios
Summary: The check_bacula plugin for nagios
Group: Archiving/Backup

%if_enabled webgui

%package gui-web
Summary: Bacula Web GUI
Group: Archiving/Backup
Requires: bacula-common = %version-%release
Requires: apache2
Requires: apache2-mod_php5
Requires: pear-core
Requires: pear-DB
Requires: php5-gd2
Requires: php5-mysql

%package gui-bimagemgr
Summary: Bacula Image Manager
Group: Archiving/Backup
Requires: bacula-common = %version-%release
Requires: apache2
Requires: perl-DBI
Requires: perl-DBD-mysql
Autoreq: noperl
%endif

%if_enabled docs
%package docs
Summary: Bacula Docs
Group: Archiving/Backup
BuildArch: noarch
BuildRequires: latex2html
%endif

%description
Bacula is a set of computer programs that permits the system administrator to
manage backup, recovery, and verification of computer data across a network of
computers of different kinds.
Bacula can also run entirely upon a single computer and can backup to various
types of media, including tape and disk. In technical terms, it is a network
Client/Server based backup program. Bacula is relatively easy to use and
efficient, while offering many advanced storage management features that make
it easy to find and recover lost or damaged files. Due to its modular design,
Bacula is scalable from small single computer systems to systems consisting of
hundreds of computers located over a large network.

%description client
Client-only package (FD) for bacula.

%description storage
Storage-only package (SD) for bacula.

%description director-common
Director common package for bacula.

%description director-mysql
MySQL Director-only package for bacula.

%description director-sqlite3
SQLITE3 Director-only package for bacula.

%description director-postgresql
PostgreSQL Director-only package for bacula.

%description console
Console-only package for bacula.

%description console-wx
WXWindows Console-only package for bacula.

%if_enabled gconsole
%description console-gnome
Gnome Console-only package for bacula.
%endif

%if_enabled tray
%description tray-monitor
Tray monitor package for bacula.
%endif

%description bat
Bacula Administration Tool package.

%description common
Common files for bacula parts.

%description debug
Debug files for bacula.

%description nagios
The check_bacula plugin for nagios.

%if_enabled webgui

%description gui-web
Contains the web gui

%description gui-bimagemgr
Contains the bacula image manager cgi-bin

%endif

%if_enabled docs
%description docs
Contains bacula documentation
%endif

%prep
%setup -b 0
%setup -b 7
%setup -b 8
%setup -b 9
%setup -b 10

mv ../%name-gui-%version gui
mv ../%name-icons-%version icons
mv ../%name-docs-%version docs

%patch1 -p1

#%patch4 -p2

%patch10 -p0
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%if_enabled docs
pushd docs
%patch15 -p1
popd
%endif

sed -i 's|qmake|qmake-qt4|g' autoconf/configure.in
sed -i 's|-lreadline -lhistory -ltermcap|-lreadline -lhistory|g' autoconf/configure.in


pushd src
    tar -zxf ../examples/nagios/nagios_plugin_check_bacula.tgz
    sed -i 's|../lib/libbac.a||g' check_bacula/Makefile.in
    sed -i 's|-L../lib|-L../lib/.libs|g' check_bacula/Makefile.in
popd

%if_enabled docs
pushd docs
%configure --with-bacula=%_builddir/%name-%version/
popd
%endif

mkdir ../bacula-mysql
mkdir ../bacula-sqlite
mkdir ../bacula-postgresql

%build
export MTX=%_sbindir/mtx
pushd autoconf
autoconf
popd
cp -f autoconf/configure .

build() {
cp -rl ../bacula-%version/* .

./configure \
	--enable-shared=no \
	--with-openssl \
	--with-python \
	--mandir=%_mandir \
	--with-working-dir=%_localstatedir/bacula \
	--with-scriptdir=%_datadir/%name/scripts \
	--with-pid-dir=%_var/run/bacula \
	--exec-prefix=%_usr \
	--libdir=%_libdir \
	--enable-batch-insert \
%if_enabled bwx
	--enable-bwx-console \
%endif
%if_enabled gconsole
	--enable-gnome \
%endif
%if_enabled tray
	--enable-tray-monitor \
%endif
%if_enabled readline
	--with-readline \
	--disable-conio \
%endif
%{subst_enable bat} \
	--with-dir-user=bacula \
	--with-dir-group=bacula \
	--with-sd-user=bacula \
	--with-sd-group=bacula \
	$*

%make_build

}

pushd ../bacula-postgresql
build --with-postgresql
popd

pushd ../bacula-sqlite
build --with-sqlite3
popd

pushd ../bacula-mysql

build --with-mysql

%if_enabled docs
pushd docs
make
popd
%endif

%if_enabled webgui
# Now we build the gui
(
 cd gui
%configure --with-bacula=../
make release-bacula-web release-bimagemgr release-brestore
)
%endif


# make the nagios plugin
pushd src/check_bacula
%make LIBS="-lpthread -ldl -lssl -lcrypto"
popd

popd

%install

pushd ../bacula-postgresql

%make_install DESTDIR="%buildroot" install
mv %buildroot/%_sbindir/bacula-dir %buildroot/%_sbindir/bacula-dir.pgsql
mv %buildroot/%_sbindir/dbcheck %buildroot/%_sbindir/dbcheck.pgsql
mv %buildroot/%_sbindir/bcopy %buildroot/%_sbindir/bcopy.pgsql
mv %buildroot/%_sbindir/bscan %buildroot/%_sbindir/bscan.pgsql
mv %buildroot/%_datadir/%name/scripts/make_catalog_backup %buildroot/%_datadir/%name/scripts/make_catalog_backup.pgsql

popd

pushd ../bacula-sqlite

%make_install DESTDIR="%buildroot" install
mv %buildroot/%_sbindir/bacula-dir %buildroot/%_sbindir/bacula-dir.sqlite3
mv %buildroot/%_sbindir/dbcheck %buildroot/%_sbindir/dbcheck.sqlite3
mv %buildroot/%_sbindir/bcopy %buildroot/%_sbindir/bcopy.sqlite3
mv %buildroot/%_sbindir/bscan %buildroot/%_sbindir/bscan.sqlite3
mv %buildroot/%_datadir/%name/scripts/make_catalog_backup %buildroot/%_datadir/%name/scripts/make_catalog_backup.sqlite3

popd

pushd ../bacula-mysql

%make_install DESTDIR="%buildroot" install
mv %buildroot/%_sbindir/bacula-dir %buildroot/%_sbindir/bacula-dir.mysql
mv %buildroot/%_sbindir/dbcheck %buildroot/%_sbindir/dbcheck.mysql
mv %buildroot/%_sbindir/bcopy %buildroot/%_sbindir/bcopy.mysql
mv %buildroot/%_sbindir/bscan %buildroot/%_sbindir/bscan.mysql
mv %buildroot/%_datadir/%name/scripts/make_catalog_backup %buildroot/%_datadir/%name/scripts/make_catalog_backup.mysql

%if_enabled docs
pushd docs
mkdir -p %buildroot%_datadir/%name-docs
cp -a manuals/en/catalog/catalog %buildroot%_datadir/%name-docs
cp -a manuals/en/catalog/catalog.pdf %buildroot%_datadir/%name-docs
cp -a manuals/en/concepts/concepts %buildroot%_datadir/%name-docs
cp -a manuals/en/concepts/concepts.pdf %buildroot%_datadir/%name-docs
cp -a manuals/en/console/console %buildroot%_datadir/%name-docs
cp -a manuals/en/console/console.pdf %buildroot%_datadir/%name-docs
cp -a manuals/en/developers/developers %buildroot%_datadir/%name-docs
cp -a manuals/en/developers/developers.pdf %buildroot%_datadir/%name-docs
cp -a manuals/en/install/install %buildroot%_datadir/%name-docs
cp -a manuals/en/install/install.pdf %buildroot%_datadir/%name-docs
cp -a manuals/en/problems/problems %buildroot%_datadir/%name-docs
cp -a manuals/en/problems/problems.pdf %buildroot%_datadir/%name-docs
cp -a manuals/en/utility/utility %buildroot%_datadir/%name-docs
cp -a manuals/en/utility/utility.pdf %buildroot%_datadir/%name-docs
popd
%endif

mkdir -p %buildroot%_initdir
install -pm 755 %SOURCE1 %buildroot%_initdir/bacula-dir
install -pm 755 %SOURCE2 %buildroot%_initdir/bacula-fd
install -pm 755 %SOURCE3 %buildroot%_initdir/bacula-sd

mkdir -p %buildroot%_sysconfdir/logrotate.d/
install -pm 644 scripts/logrotate %buildroot%_sysconfdir/logrotate.d/%name

rm -f %buildroot%_datadir/%name/scripts/gconsole

mkdir -p %buildroot/var/run/%name

mkdir -p %buildroot%_datadir/{applications,sample-configs}
mkdir -p %buildroot%_miconsdir
mkdir -p %buildroot%_liconsdir
mkdir -p %buildroot%_niconsdir
mkdir -p %buildroot%_datadir/%name/sample-configs
mkdir -p %buildroot%_sysconfdir/{security/console.apps,pam.d}
install -d -m755 %buildroot%_bindir
mv %buildroot%_sbindir/bconsole %buildroot%_bindir/
chmod 755 %buildroot%_bindir/bconsole
mv %buildroot%_sysconfdir/%name/bconsole.conf %buildroot%_datadir/%name/sample-configs/

%if_enabled bwx
install -pD -m644 icons/wxwin16x16.xpm %buildroot%_miconsdir/bacula-wxwin.xpm
install -pD -m644 icons/wxwin32x32.xpm %buildroot%_niconsdir/bacula-wxwin.xpm
install -pD -m644 icons/wxwin48x48.xpm %buildroot%_liconsdir/bacula-wxwin.xpm
install -pD -m644 scripts/wxconsole.desktop.consolehelper %buildroot%_desktopdir/wxconsole.desktop
install -pD -m640 scripts/wxconsole.console_apps %buildroot%_sysconfdir/security/console.apps/bwx-console
mv %buildroot%_sbindir/bwx-console %buildroot%_bindir
chmod 755 %buildroot%_bindir/bwx-console
mv %buildroot%_sysconfdir/%name/bwx-console.conf %buildroot%_datadir/%name/sample-configs/
%endif

%if_enabled gconsole
install -pD -m644 icons/bacula16x16.png %buildroot%_miconsdir/bacula.png
install -pD -m644 icons/bacula32x32.png %buildroot%_niconsdir/bacula.png
install -pD -m644 icons/bacula48x48.png %buildroot%_liconsdir/bacula.png
install -pD -m644 scripts/bacula.desktop.gnome2 %buildroot%_desktopdir/bacula.desktop
mv %buildroot%_sbindir/bgnome-console %buildroot%_bindir
chmod 755 %buildroot%_bindir/bgnome-console
mv %buildroot%_sysconfdir/%name/bgnome-console.conf %buildroot%_datadir/%name/sample-configs/
%endif

%if_enabled tray
install -pD -m644 scripts/bacula-tray-monitor.desktop %buildroot%_desktopdir/bacula-tray-monitor.desktop
install -pD -m644 icons/bacula-tray-monitor16x16.xpm %buildroot%_miconsdir/bacula-tray-monitor.xpm
install -pD -m644 icons/bacula-tray-monitor32x32.xpm %buildroot%_niconsdir/bacula-tray-monitor.xpm
install -pD -m644 icons/bacula-tray-monitor48x48.xpm %buildroot%_liconsdir/bacula-tray-monitor.xpm
mv %buildroot%_sbindir/bacula-tray-monitor %buildroot%_bindir
chmod 755 %buildroot%_bindir/bacula-tray-monitor
mv %buildroot%_sysconfdir/%name/tray-monitor.conf %buildroot%_datadir/%name/sample-configs/

%endif

%if_enabled bat
install -pD -m755 src/qt-console/bat %buildroot%_bindir/bat
install -pD -m644 icons/bat16x16.png %buildroot%_miconsdir/bat.png
install -pD -m644 icons/bat32x32.png %buildroot%_niconsdir/bat.png
install -pD -m644 icons/bat48x48.png %buildroot%_liconsdir/bat.png
install -pD -m644 scripts/bat.desktop %buildroot%_desktopdir/bat.desktop
mv %buildroot%_sysconfdir/%name/bat.conf %buildroot%_datadir/%name/sample-configs/
%endif

cp -ar ../%name-configs-default-%version/* %buildroot%_sysconfdir/%name/

install -pD -m755 %buildroot%_datadir/%name/scripts/mtx-changer %buildroot%_sbindir
install -pD -m644 %buildroot%_datadir/%name/scripts/mtx-changer.conf %buildroot%_sysconfdir/bacula/
sed -i "s|%_datadir/%name/scripts|%_sysconfdir/bacula|g" %buildroot%_sbindir/mtx-changer
install -pD -m755 %buildroot%_datadir/%name/scripts/disk-changer %buildroot%_sbindir
install -pD -m755 %buildroot%_datadir/%name/scripts/dvd-handler %buildroot%_sbindir
chmod 755 %buildroot%_sbindir/*

# install the nagios plugin
install -d %buildroot%_sysconfdir/nagios/commands
install -d %buildroot%_libdir/nagios/plugins

install -m0755 src/check_bacula/check_bacula %buildroot%_libdir/nagios/plugins/

cat > %buildroot%_sysconfdir/nagios/commands/check_bacula.cfg << EOF
# 'check_bacula' command definition
define command{
    command_name    check_bacula
    command_line    %_libdir/nagios/plugins/check_bacula -H \$HOSTADDRESS$ -D \$ARG1\$ -M \$ARG2\$ -K \$ARG3\$ -P \$ARG4\$
}
EOF

%if_enabled webgui
install -d -m 0755 %buildroot/var/www/html/bacula/bacula-web/template_c
install -d -m 0755 %buildroot/var/www/apache2/html/
install -d -m 0755 %buildroot/%_sysconfdir/%name/%name-web
install -d -m 0755 %buildroot/var/www/html/bacula/bimagemgr
cp gui/bimagemgr/bimagemgr.pl %buildroot/var/www/html/bacula/bimagemgr
cp gui/bimagemgr/config.pm %buildroot/%_sysconfdir/%name/%name-web
cp gui/bimagemgr/*.{html,gif} %buildroot/var/www/apache2/html/

install -d -m 0755 %buildroot/var/www/html/bacula
cp -rf gui/bacula-web %buildroot/var/www/html/bacula
rm -rf %buildroot/var/www/html/bacula/external_packages/{smarty,phplot}

install -d -m 0755 %buildroot%_sysconfdir/bacula/bacula-web
install -d -m 0755 %buildroot/etc/httpd2/conf/addon.d/
cp %SOURCE4 %buildroot/etc/httpd2/conf/addon.d/
cp %SOURCE5 %buildroot/etc/httpd2/conf/addon.d/

mv %buildroot/var/www/html/bacula/bacula-web/configs/bacula.conf %buildroot%_sysconfdir/bacula/bacula-web/bacula.conf
install -d -m 0755 %buildroot/%_datadir/%name-bimagemgr
cp gui/bimagemgr/create_cdimage_table.pl %buildroot/%_datadir/%name-bimagemgr

rm -rf %buildroot/var/www/html/bacula/bacula-web/configs
%endif

popd

mkdir -p %buildroot/%_altdir
echo "/usr/sbin/bacula-dir	/usr/sbin/bacula-dir.pgsql	5" > %buildroot/%_altdir/bacula-dir.pgsql
echo "/usr/sbin/dbcheck	/usr/sbin/dbcheck.pgsql	5" > %buildroot/%_altdir/dbcheck.pgsql
echo "/usr/sbin/bcopy	/usr/sbin/bcopy.pgsql	5" > %buildroot/%_altdir/bcopy.pgsql
echo "/usr/sbin/bscan	/usr/sbin/bscan.pgsql	5" > %buildroot/%_altdir/bscan.pgsql
echo "/usr/share/bacula/scripts/make_catalog_backup	/usr/share/bacula/scripts/make_catalog_backup.pgsql	5" > %buildroot/%_altdir/make_catalog_backup.pgsql

echo "/usr/sbin/bacula-dir	/usr/sbin/bacula-dir.sqlite3	10" > %buildroot/%_altdir/bacula-dir.sqlite3
echo "/usr/sbin/dbcheck	/usr/sbin/dbcheck.sqlite3	10" > %buildroot/%_altdir/dbcheck.sqlite3
echo "/usr/sbin/bcopy	/usr/sbin/bcopy.sqlite3	10" > %buildroot/%_altdir/bcopy.sqlite3
echo "/usr/sbin/bscan	/usr/sbin/bscan.sqlite3	10" > %buildroot/%_altdir/bscan.sqlite3
echo "/usr/share/bacula/scripts/make_catalog_backup	/usr/share/bacula/scripts/make_catalog_backup.sqlite3	10" > %buildroot/%_altdir/make_catalog_backup.sqlite3

echo "/usr/sbin/bacula-dir	/usr/sbin/bacula-dir.mysql	20" > %buildroot/%_altdir/bacula-dir.mysql
echo "/usr/sbin/dbcheck	/usr/sbin/dbcheck.mysql	20" > %buildroot/%_altdir/dbcheck.mysql
echo "/usr/sbin/bcopy	/usr/sbin/bcopy.mysql	20" > %buildroot/%_altdir/bcopy.mysql
echo "/usr/sbin/bscan	/usr/sbin/bscan.mysql	20" > %buildroot/%_altdir/bscan.mysql
echo "/usr/share/bacula/scripts/make_catalog_backup	/usr/share/bacula/scripts/make_catalog_backup.mysql	20" > %buildroot/%_altdir/make_catalog_backup.mysql


%pre common
%_sbindir/groupadd -r -f bacula &>/dev/null
%_sbindir/useradd -r -n -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
%_sbindir/usermod -d /var/empty -s /bin/false bacula >/dev/null 2>&1

%post common
for i in %_sysconfdir/bacula/bacula-*-password.conf; do
 [ ! -s "$i" ] || continue
 printf 'Password = "%%s"\n' "$(pwqgen|sed -e 's/[\"$\`\\]/\\&/g')" > "$i";
done

%post client
%post_service bacula-fd

%post storage
%post_service bacula-sd

%post director-mysql
%post_service bacula-dir

%post director-postgresql
%post_service bacula-dir

%post director-sqlite3
%post_service bacula-dir
if [ ! -s %_localstatedir/bacula/bacula.db ]; then
    %_datadir/bacula/scripts/make_sqlite3_tables
    chown bacula.bacula %_localstatedir/bacula/bacula.db
fi

%preun director-mysql
%preun_service bacula-dir

%preun director-postgresql
%preun_service bacula-dir

%preun director-sqlite3
%preun_service bacula-dir

%preun client
%preun_service bacula-fd

%preun storage
%preun_service bacula-sd

%files common
%attr (0770,root,bacula) %_localstatedir/bacula
%attr (0775,root,bacula) %dir %_var/run/bacula
%attr (0750,root,bacula) %dir %_sysconfdir/bacula
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/bacula-*-password.conf
%dir %_datadir/bacula
%dir %_datadir/bacula/scripts
%dir %_docdir/bacula
%_man8dir/bacula.8.gz
%_sysconfdir/logrotate.d/%name
%_sbindir/bsmtp
%_man1dir/bsmtp.1.gz
%_docdir/bacula/ReleaseNotes
%_docdir/bacula/LICENSE

%files console
%attr (0644,root,root) %_datadir/%name/sample-configs/bconsole.conf
%config(noreplace) %attr (0600,root,root) %_sysconfdir/bacula/bconsole.conf
%_bindir/bconsole
%_man8dir/bconsole.8.gz

%if_enabled bwx
%files console-wx
%attr (0644,root,root) %_datadir/%name/sample-configs/bwx-console.conf
%_bindir/bwx-console
%_man1dir/bacula-bwxconsole.1.gz
%_miconsdir/bacula-wxwin.xpm
%_liconsdir/bacula-wxwin.xpm
%_niconsdir/bacula-wxwin.xpm
%_desktopdir/wxconsole.desktop
%endif

%if_enabled gconsole
%files console-gnome
%attr (0644,root,root) %_datadir/%name/sample-configs/bgnome-console.conf
%_bindir/bgnome-console
%_man1dir/bacula-bgnome-console.1.gz
%_miconsdir/bacula.png
%_liconsdir/bacula.png
%_niconsdir/bacula.png
%_desktopdir/bacula.desktop
%endif

%if_enabled tray
%files tray-monitor
%attr (0644,root,root) %_datadir/%name/sample-configs/tray-monitor.conf
%_bindir/bacula-tray-monitor
%_man1dir/bacula-tray-monitor.1.gz
%_miconsdir/bacula-tray-monitor.xpm
%_liconsdir/bacula-tray-monitor.xpm
%_niconsdir/bacula-tray-monitor.xpm
%_desktopdir/bacula-tray-monitor.desktop
%endif

%if_enabled bat
%files bat
%attr (0644,root,root) %_datadir/%name/sample-configs/bat.conf
%_bindir/bat
%_man1dir/bat.1.gz
%_miconsdir/bat.png
%_liconsdir/bat.png
%_niconsdir/bat.png
%_desktopdir/bat.desktop
%endif

%files client
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/bacula-fd.conf
%_sbindir/bacula-fd
%_initdir/bacula-fd
%_man8dir/bacula-fd.8.gz

%files storage
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/bacula-sd.conf
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/mtx-changer.conf
%dir %attr (0750,root,bacula) %_sysconfdir/bacula/device
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/device/*.conf
%_initdir/bacula-sd
%_sbindir/bacula-sd
%_sbindir/bextract
%_sbindir/bls
%_sbindir/btape
%_sbindir/mtx-changer
%_sbindir/disk-changer
%_sbindir/dvd-handler
%_man8dir/bacula-sd.8.gz
%_man8dir/bextract.8.gz
%_man8dir/bls.8.gz
%_man8dir/btape.8.gz

%files debug
%_sbindir/btraceback
%_datadir/%name/scripts/btraceback.dbx
%_datadir/%name/scripts/btraceback.gdb
%_man8dir/btraceback.8.gz

%files director-common
%doc COPYING ChangeLog ReleaseNotes VERIFYING kernstodo updatedb
%dir %attr (0750,root,bacula) %_sysconfdir/bacula/client
%dir %attr (0750,root,bacula) %_sysconfdir/bacula/fileset
%dir %attr (0750,root,bacula) %_sysconfdir/bacula/job
%dir %attr (0750,root,bacula) %_sysconfdir/bacula/messages
%dir %attr (0750,root,bacula) %_sysconfdir/bacula/pool
%dir %attr (0750,root,bacula) %_sysconfdir/bacula/schedule
%dir %attr (0750,root,bacula) %_sysconfdir/bacula/storage
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/bacula-dir.conf
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/client/*.conf
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/fileset/*.conf
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/job/*.conf
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/messages/*.conf
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/pool/*.conf
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/schedule/*.conf
%config(noreplace) %attr (0640,root,bacula) %_sysconfdir/bacula/storage/*.conf
%_sbindir/bregex
%_sbindir/bwild
%_initdir/bacula-dir
%_man8dir/bacula-dir.8.gz
%_man8dir/dbcheck.8.gz
%_man8dir/bscan.8.gz
%_man8dir/bcopy.8.gz
%_datadir/%name/scripts/query.sql
%_datadir/%name/scripts/delete_catalog_backup

%files director-mysql
%_sbindir/bacula-dir.mysql
%_sbindir/bcopy.mysql
%_sbindir/bscan.mysql
%_sbindir/dbcheck.mysql

%_datadir/%name/scripts/create_mysql_database
%_datadir/%name/scripts/drop_mysql_database
%_datadir/%name/scripts/drop_mysql_tables
%_datadir/%name/scripts/grant_mysql_privileges
%_datadir/%name/scripts/make_mysql_tables
%_datadir/%name/scripts/update_mysql_tables
%_datadir/%name/scripts/make_catalog_backup.mysql

%_altdir/bacula-dir.mysql
%_altdir/dbcheck.mysql
%_altdir/bcopy.mysql
%_altdir/bscan.mysql
%_altdir/make_catalog_backup.mysql

%files director-postgresql
%_sbindir/bacula-dir.pgsql
%_sbindir/bcopy.pgsql
%_sbindir/bscan.pgsql
%_sbindir/dbcheck.pgsql

%_datadir/%name/scripts/create_postgresql_database
%_datadir/%name/scripts/drop_postgresql_database
%_datadir/%name/scripts/drop_postgresql_tables
%_datadir/%name/scripts/grant_postgresql_privileges
%_datadir/%name/scripts/make_postgresql_tables
%_datadir/%name/scripts/update_postgresql_tables
%_datadir/%name/scripts/make_catalog_backup.pgsql

%_altdir/bacula-dir.pgsql
%_altdir/dbcheck.pgsql
%_altdir/bcopy.pgsql
%_altdir/bscan.pgsql
%_altdir/make_catalog_backup.pgsql

%files director-sqlite3
%_sbindir/bacula-dir.sqlite3
%_sbindir/dbcheck.sqlite3
%_sbindir/bscan.sqlite3
%_sbindir/bcopy.sqlite3

%_datadir/%name/scripts/create_sqlite3_database
%_datadir/%name/scripts/drop_sqlite3_database
%_datadir/%name/scripts/drop_sqlite3_tables
%_datadir/%name/scripts/grant_sqlite3_privileges
%_datadir/%name/scripts/make_sqlite3_tables
%_datadir/%name/scripts/update_sqlite3_tables
%_datadir/%name/scripts/make_catalog_backup.sqlite3

%_altdir/bacula-dir.sqlite3
%_altdir/dbcheck.sqlite3
%_altdir/bcopy.sqlite3
%_altdir/bscan.sqlite3
%_altdir/make_catalog_backup.sqlite3

%files nagios
%_sysconfdir/nagios/commands/check_bacula.cfg
%_libdir/nagios/plugins/check_bacula

%if_enabled webgui
%files gui-web
%dir %attr(0755,root,apache2) /var/www/html/%name
%dir %attr(0755,apache2,apache2) /var/www/html/%name/%name-web
%dir %attr(0755,apache2,apache2) /var/www/html/%name/%name-web/templates_c
%dir %attr(0755,root,apache2) %_sysconfdir/%name/%name-web
/var/www/html/%name/%name-web/*
%config(noreplace) %attr(0640,root,apache2) %_sysconfdir/%name/%name-web/%name.conf
%config(noreplace) /etc/httpd2/conf/addon.d/A.baculaweb.conf

%files gui-bimagemgr
/var/www/apache2/html/*
%dir %attr(0755,root,root) %_datadir/%name-bimagemgr
%_datadir/%name-bimagemgr/*
%dir %attr(0755,root,apache2) /var/www/html/%name
%dir %attr(0755,root,apache2) /var/www/html/%name/bimagemgr
%attr(0755,root,apache2) /var/www/html/%name/bimagemgr/bimagemgr.pl
%config(noreplace) %attr(0640,root,apache2) %_sysconfdir/%name/%name-web/config.pm
%config(noreplace) /etc/httpd2/conf/addon.d/A.bimagemgr.conf
%endif

%if_enabled docs
%files docs
%dir %attr(0755,root,root) %_datadir/%name-docs
%_datadir/%name-docs/*
%endif

%files
%changelog
* Mon Apr 13 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 3.0.0-alt0.M50.1
- Build for M50

* Fri Apr 10 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 3.0.0-alt1
- 3.0.0
- new director-postgresql subpackage

* Sat Apr 04 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.4-alt8
- Upstream patches for 2.4.4

* Wed Mar 25 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.4-alt7
- fix #19238
- fix forgotten dir ownership

* Tue Mar 24 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.4-alt6
- fix initscripts (expect-user)

* Tue Mar 24 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.4-alt5
- fix typo in client config

* Fri Mar 20 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.4-alt4
- Auto passwords generation (local setup)
- Split storage config (/etc/bacula/devices)

* Fri Mar 20 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.4-alt3
- Minor changes to default configs

* Thu Feb 26 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.4-alt2
- build with sqlite3 

* Wed Jan 07 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.4-alt1
- 2.4.4

* Mon Nov 10 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.3-alt6
- docs packaged
- icons in standard place

* Wed Nov 05 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.3-alt5
- added nagios plugin, web interface
- enabled gnome console, tray monitor
- dropped consolehelper usage for consoles,
- consoles configs are now in ~/.bacula/
- look for examples in /usr/share/bacula/sample-configs

* Wed Nov 05 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.3-alt4
- upstream patch to fix a case of orphaned jobs (and possible deadlock)

* Fri Oct 31 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.3-alt3
- Fix build with new tollchain

* Tue Oct 28 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.3-alt2
- Fix #17637
- Apply upstream patch to fix 1175

* Sat Oct 11 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.3-alt1
- 2.4.3 bugfix release

* Thu Aug 21 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.2-alt2
- fix #15577
- applied upstream patches

* Fri Aug 01 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Thu Jun 05 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Tue May 06 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.8-alt3
- update_menus for bat
- fixed path to mtx (#15578)
- changed storage scripts location to %_sbindir

* Fri Mar 28 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.8-alt2
- Applying patches to fix #1031,1047 and some other (upstream recommended)
- update_menus patch

* Thu Feb 07 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.8-alt1
- 2.2.8
- unmets with new rpmbuild fixed

* Wed Jan 09 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.7-alt1
- 2.2.7
- Patch to fix #1034

* Wed Dec 26 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.6-alt3
- Repaired build with new autotools

* Fri Nov 30 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.6-alt2
- Applying patches to fix #1008, 1015, 1016, 1007, 1021

* Mon Nov 12 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.6-alt1
- 2.2.6
- Split director config into multiple files

* Wed Oct 31 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.5-alt3
- Applying patches to fix #991, 993, 979, 982, 947, 1003

* Thu Oct 25 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.5-alt2
- Patches to fix #991, 993, 979
- move director start/stop after/before mysql

* Mon Oct 22 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.5-alt1
- 2.2.5 release with patches to fix #986,#989
- Version 2.2.5 is a major bug fix release to version 2.2.4
- It fixes the following bugs: #961, 962, 963, 969, 968, 960,
- 964, (possibly 935 and 903), 953, 953, 967, 966, 965, 954,
- 957, 908, 958, and 955.
- It also improves listing performance problems in bat pointed
- out by Chris Howells.

* Mon Oct 08 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.4-alt4
- Applying upstream patch which resolves bug #969 where the user can't
- change the replace option in the restore menu

* Tue Oct 02 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.4-alt3
- Applying upstream patches to fix bugs #954,#964,#908,#955,#953,#958

* Mon Sep 24 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.4-alt2
- Default location of bat configfile changed

* Thu Sep 20 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.4-alt1
- 2.2.4 release

* Mon Sep 10 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.2.3-alt1
- 2.2.3 release.
- fix build on x86_64 with libmysql (patch2), thx shaba@.

* Sun Sep 02 2007 Alexey Shabalin <shaba@altlinux.ru> 2.2.1-alt1
- 2.2.1
- add packages:
  + bacula-bat
  + bacula-console-wx
  + bacula-console-gnome (include bacula-tray-monitor). Disabled build - need fix linking.
- support build with readline (but default build with conio)
- bacula-bat, bacula-console-wx, bacula-console-gnome run over consolehelper
- bsmtp move to bacula-common
- bcopy,bextract,bls,bscan,btape move to bacula-storage
- not use macros %%exclude in %%files sections

* Thu Aug 30 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.2.0-alt2
- New packaging scheme:
  + bacula package is a purely virtual one that requires:
    * bacula-director
    * bacula-client
	* bacula-storage
	* bacula-console
	* bacula-debug
  + Each one of bacula-* subpackages require bacula-common.
  + bacula package now provides obsoleted updatedb subpackage.
  + Renamed bacula-sd subpackage to bacula-storage.

- Added proper initscripts instead of old hellish messed up ones.
- Moved to SMP-aware build.
- Marked config files as %%config (noreplace) ones.
- Fixed/created preun/post for subpackages.
- Fix attributes for config files, %%_localstatedir/bacula and
- %%_var/run/bacula, logrotate files.

- Cosmetics:
  + Split BuildRequires.
  + Aligned description.
  + configure: each parameter on separate line.
  + Fixed summaries.

* Mon Aug 13 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.2.0-alt1
- New upstream 2.2.0

* Thu Jul 19 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.0.3-alt2
- Set autoreq to 'no' for updatedb package

* Wed Jul 18 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 2.0.3-alt1
- New upstream version 2.0.3
- New package for client-only installations
- New package for database update
- Many bugfixes, see Changelog for details

* Mon Apr 16 2007 Michail Yakushin <silicium@altlinux.ru> 2.0.1-alt0
- intial build for alt
